Commit 46fc41f1 authored by Tim-Philipp Müller's avatar Tim-Philipp Müller

Release 1.14.0

parent 01039a15
=== release 1.14.0 ===
2018-03-19 20:15:02 +0000 Tim-Philipp Müller <tim@centricular.com>
* ChangeLog:
* NEWS:
* RELEASE:
* configure.ac:
* gst-plugins-base.doap:
* meson.build:
Release 1.14.0
2018-03-19 20:15:02 +0000 Tim-Philipp Müller <tim@centricular.com>
* docs/plugins/inspect/plugin-adder.xml:
* docs/plugins/inspect/plugin-alsa.xml:
* docs/plugins/inspect/plugin-app.xml:
* docs/plugins/inspect/plugin-audioconvert.xml:
* docs/plugins/inspect/plugin-audiomixer.xml:
* docs/plugins/inspect/plugin-audiorate.xml:
* docs/plugins/inspect/plugin-audioresample.xml:
* docs/plugins/inspect/plugin-audiotestsrc.xml:
* docs/plugins/inspect/plugin-cdparanoia.xml:
* docs/plugins/inspect/plugin-encoding.xml:
* docs/plugins/inspect/plugin-gio.xml:
* docs/plugins/inspect/plugin-libvisual.xml:
* docs/plugins/inspect/plugin-ogg.xml:
* docs/plugins/inspect/plugin-opengl.xml:
* docs/plugins/inspect/plugin-opus.xml:
* docs/plugins/inspect/plugin-pango.xml:
* docs/plugins/inspect/plugin-pbtypes.xml:
* docs/plugins/inspect/plugin-playback.xml:
* docs/plugins/inspect/plugin-rawparse.xml:
* docs/plugins/inspect/plugin-subparse.xml:
* docs/plugins/inspect/plugin-tcp.xml:
* docs/plugins/inspect/plugin-theora.xml:
* docs/plugins/inspect/plugin-typefindfunctions.xml:
* docs/plugins/inspect/plugin-videoconvert.xml:
* docs/plugins/inspect/plugin-videorate.xml:
* docs/plugins/inspect/plugin-videoscale.xml:
* docs/plugins/inspect/plugin-videotestsrc.xml:
* docs/plugins/inspect/plugin-volume.xml:
* docs/plugins/inspect/plugin-vorbis.xml:
* docs/plugins/inspect/plugin-ximagesink.xml:
* docs/plugins/inspect/plugin-xvimagesink.xml:
Update docs
2018-03-17 06:33:38 +0100 Edward Hervey <edward@centricular.com>
* ext/ogg/gstoggstream.c:
oggstream: protect against out-of-bounds read
We need at least 17 bytes of data for a valid flac header
oss-fuzz #6974
2018-03-16 09:28:44 +0000 Tim-Philipp Müller <tim@centricular.com>
* tests/check/elements/audiomixer.c:
tests: audiomixer: remove unistd.h include
Not needed and breaks the build with MVSC.
2018-03-15 09:58:11 +0200 Sebastian Dröge <sebastian@centricular.com>
* gst-libs/gst/audio/gstaudiostreamalign.h:
audiostreamalign: Mark the whole type as new in 1.14
2018-03-13 23:09:58 +0200 Sebastian Dröge <sebastian@centricular.com>
* configure.ac:
* pkgconfig/gstreamer-audio-uninstalled.pc.in:
* pkgconfig/gstreamer-audio.pc.in:
* pkgconfig/gstreamer-video-uninstalled.pc.in:
* pkgconfig/gstreamer-video.pc.in:
* pkgconfig/meson.build:
pkg-config: Add orc-0.4 to Requires.private of gstreamer-audio and gstreamer-video
https://bugzilla.gnome.org/show_bug.cgi?id=794307
=== release 1.13.91 ===
2018-03-13 19:13:18 +0000 Tim-Philipp Müller <tim@centricular.com>
* ChangeLog:
* NEWS:
* RELEASE:
* configure.ac:
This diff is collapsed.
This is GStreamer gst-plugins-base 1.13.91.
This is GStreamer gst-plugins-base 1.14.0.
The GStreamer team is pleased to announce the first release candidate for the
upcoming stable 1.14 release series.
The GStreamer team is thrilled to announce a new major feature release in the
stable 1.x API series of your favourite cross-platform multimedia framework!
The 1.14 release series adds new features on top of the 1.0, 1.2, 1.4, 1.6,
1.8, 1.10 and 1.12 series and is part of the API and ABI-stable 1.x release
series of the GStreamer multimedia framework.
As always, this release is again packed with new features, bug fixes and
other improvements.
The 1.14 release series adds new features on top of the 1.12 series and is
part of the API and ABI-stable 1.x release series of the GStreamer multimedia
framework.
Full release notes can be found at:
......
......@@ -5,7 +5,7 @@ dnl please read gstreamer/docs/random/autotools before changing this file
dnl initialize autoconf
dnl releases only do -Wall, git and prerelease does -Werror too
dnl use a three digit version number for releases, and four for git/prerelease
AC_INIT([GStreamer Base Plug-ins],[1.13.91],[http://bugzilla.gnome.org/enter_bug.cgi?product=GStreamer],[gst-plugins-base])
AC_INIT([GStreamer Base Plug-ins],[1.14.0],[http://bugzilla.gnome.org/enter_bug.cgi?product=GStreamer],[gst-plugins-base])
AG_GST_INIT
......@@ -56,10 +56,10 @@ dnl 1.2.5 => 205
dnl 1.10.9 (who knows) => 1009
dnl
dnl sets GST_LT_LDFLAGS
AS_LIBTOOL(GST, 1391, 0, 1391)
AS_LIBTOOL(GST, 1400, 0, 1400)
dnl *** required versions of GStreamer stuff ***
GST_REQ=1.13.91
GST_REQ=1.14.0
dnl *** autotools stuff ****
......
......@@ -34,6 +34,16 @@ A wide range of video and audio decoders, encoders, and filters are included.
</GitRepository>
</repository>
<release>
<Version>
<revision>1.14.0</revision>
<branch>master</branch>
<name></name>
<created>2018-03-19</created>
<file-release rdf:resource="https://gstreamer.freedesktop.org/src/gst-plugins-base/gst-plugins-base-1.14.0.tar.xz" />
</Version>
</release>
<release>
<Version>
<revision>1.13.91</revision>
......
project('gst-plugins-base', 'c',
version : '1.13.91',
version : '1.14.0',
meson_version : '>= 0.36.0',
default_options : [ 'warning_level=1',
'buildtype=debugoptimized' ])
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment